API Reference
Log In
API Reference

List Calendar Slots

List all booked slots for an account. Option to include unbooked slots as well. Supports filtering on opening and stage as well as pagination

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

List Sessions

List all sessions within your account. Pagination is available.

You can get all of the information about a session — including start time, end time, max attendees, as well as how many applicants booked that session and whether the booked applicants attended or not.

Use the page parameter to indicate the page for pagination, e.g. &page=2 to get to the 2nd page of the listing.

However, the page parameter value has a limit due to performance reasons. If you need to access very old pages, please use cursor-based pagination. Every API response contains pagination.next_cursor property, which you can use as a ?cursor=<cursor_string> in the next request. The parameter will look like this: ?cursor=cnNwcWJ4VWp1T0Y5eFZWSGIvUmZjdz09LS14Z1RZbGlCdmNRdHNJMEho....

Filtering

The Opening ID, or funnel_id is a required parameter for this endpoint.

We also support optional filters for selecting sessions from only the stages that you care about, by using the stage_id parameter.

For both the Opening and Stage ID, you must use the unique ID of the Stage or Opening, not the title. To look up the ID of an Opening (funnel) or Stage, use the List All Positions or List All Stages endpoints.

Booked or unbooked

You can return all the sessions, even those that are not yet booked, by passing with_unbooked=true. Otherwise, only booked sessions will be returned by default.

Query Params
string

Identifier of opening to filter calendar slots on

boolean

Indicates whether to exclude sessions that have conflicting booked slots. Conflicts are determined based on calendar events for users in the account. Uses the time parameter to determine which sessions to take into account

boolean

Indicates whether to include available slots in response

string

Identifier of stage to filter slots on

string

Cursor for the next page to view

string

Filter by date, options are past, upcoming, a specific date with date=, or a date range with range=. Will default to today in UTC if not provided

integer

The page results to retrieve. The endpoint returns 10 results per page. Use the cursor option to view very old results

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json